%global npmname tar
%global npminstdir /usr/lib/node_modules/%{npmname}
%global deplist inherits block-stream fstream

Summary: tar for node 
Name: nodejs-%{npmname}
Version: 0.1.13
Release: 1%{?dist}
Group: Development/Languages
License: BSD
URL: http://github.com/isaacs/node-tar
Source0: http://registry.npmjs.org/%{npmname}/-/%{npmname}-%{version}.tgz
BuildArch: noarch
Requires: nodejs
Requires: nodejs-block-stream
Requires: nodejs-inherits >= 1.0
Requires: nodejs-fstream >= 0.1.8
Provides: nodejs-%{npmname} = %{version}

%description
Tar for Node.js.

%prep
%setup -q -n package

%build

%install
# Run the scripts (except test scripts)

# Setup and copy packages over
mkdir -p %{buildroot}/%{npminstdir}
cp -pr tar.js .travis.yml .npmignore lib package.json %{buildroot}/%{npminstdir}

# Setup the dependancies
cd %{buildroot}/%{npminstdir}
mkdir node_modules
for depend in %{deplist}
do
  ln -s /usr/lib/node_modules/$depend node_modules/$depend
done

# Setup Binaries

%files
%doc README.md examples
%{npminstdir}

%changelog
* Wed Nov 14 2012 Troy Dawson <tdawson@redhat.com> - 0.1.13-1
- Initial build using nodejs spec template

